% Funzione che contiene i punti noti in cui si impone il passaggio della
% catena.
% In particolare:
% - cXo rappresenta le coordinate X di tutti i punti nodi imposte dal
% progetto per la correzione di offset;
% - cYo rappresenta le coordinate Y di tutti i punti nodi imposte dal
% progetto per la correzione di offset;
% - cZo rappresenta le coordinate Z di tutti i punti nodi imposte dal
% progetto per la correzione di offset;

function [cXo,cYo,cZo,asseX_RL,asseY_RL,asseZ_RL] = punti_noti_RL(IDcentralina,...
    DTcatena,asseX_RL,asseY_RL,asseZ_RL,FileName)

Punti_Noti = xlsread([IDcentralina,'-',DTcatena,'.xlsx'],1);

%% X
cXo = Punti_Noti(:,1);
asseX_RL(:,1) = diff(cXo);
cXo = cXo(2:end)';

%% Y
cYo = Punti_Noti(:,2);
asseY_RL(:,1) = diff(cYo);
cYo = cYo(2:end)';

%% Z
cZo = Punti_Noti(:,3);
asseZ_RL(:,1) = diff(cZo);
cZo = cZo(2:end)';

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'punti_noti_RL function worked correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end
